Package org.eclipse.jdt.core.util

# Interface IClassFileDisassembler

public interface IClassFileDisassembler
Deprecated.
Use `ClassFileBytesDisassembler` instead
This interface is intended to be implemented to disassemble IClassFileReader onto a String using the proper line separator.

Since:
  2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT`
Deprecated.
The mode is the default mode to disassemble IClassFileReader.
`static final int`
`DETAILED`
Deprecated.
The mode is the detailed mode to disassemble IClassFileReader.

## Method Summary

Modifier and Type
Method
Description
`String`
`disassemble(IClassFileReader classFileReader, String lineSeparator)`
Deprecated.
Answers back the disassembled string of the IClassFileReader using the default mode.
`String`
`disassemble(IClassFileReader classFileReader, String lineSeparator, int mode)`
Deprecated.
Answers back the disassembled string of the IClassFileReader according to the mode.

## Field Details

### DETAILED

static final int DETAILED
Deprecated.
The mode is the detailed mode to disassemble IClassFileReader. It returns the magic numbers, the version numbers and field and method descriptors.

See Also:
  - Constant Field Values

### DEFAULT

static final int DEFAULT
Deprecated.
The mode is the default mode to disassemble IClassFileReader.

See Also:
  - Constant Field Values

## Method Details

### disassemble

String disassemble(IClassFileReader classFileReader, String lineSeparator)
Deprecated.
Answers back the disassembled string of the IClassFileReader using the default mode. This is an output quite similar to the javap tool, using DEFAULT mode.

Parameters:
  `classFileReader` - The classFileReader to be disassembled
  `lineSeparator` - the line separator to use.
Returns:
  the disassembled string of the IClassFileReader using the default mode.

### disassemble

String disassemble(IClassFileReader classFileReader, String lineSeparator, int mode)
Deprecated.
Answers back the disassembled string of the IClassFileReader according to the mode. This is an output quite similar to the javap tool.

Parameters:
  `classFileReader` - The classFileReader to be disassembled
  `lineSeparator` - the line separator to use.
  `mode` - the mode used to disassemble the IClassFileReader
Returns:
  the disassembled string of the IClassFileReader according to the mode